API ReferencePublisher Agents

Check an external Agent Card

POST
/v1/publisher/agent-connections/check

Authorization

bearerAuth
AuthorizationBearer <token>

Send a SimpleServe API key as Authorization: Bearer <key>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/publisher/agent-connections/check" \  -H "Content-Type: application/json" \  -d '{    "agent_card_url": "stringst",    "retry_safety": "deduplicated"  }'
{  "agent_card_url": "string",  "authentication": "none",  "retry_safety": "deduplicated",  "name": "string",  "description": "string",  "version": "string",  "endpoint": "string",  "protocol": "string",  "input_modes": [    "string"  ],  "output_modes": [    "string"  ],  "example_prompts": [    "string"  ],  "supports_commerce": true,  "checked_at": "2019-08-24T14:15:22Z"}